.btn{
  display: flex;
  align-items: center;
  outline: none;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1rem;
  padding: 0.75rem 1rem;
  border-radius: $border-radius;
  border: 0;
  cursor: pointer;
  background: $dark;
  color: $white;
}

.btn:hover{
  background: $secondary;
}

//btn  colors
.btn-primary{
  background: linear-gradient(to top, rgba($primary,1), rgba($primary,.5));
  color: $white;
}
.btn-primary:hover,
.btn-primary:focus{
  background: linear-gradient(to bottom, rgba($primary,1), rgba($primary,.5));
  color: $white;
}

.btn-secondary{
  background: linear-gradient(to top, rgba($secondary,1), rgba($secondary,.5));
  color: $white;
}
.btn-secondary:hover,
.btn-secondary:focus{
  background: linear-gradient(to bottom, rgba($secondary,1), rgba($secondary,.5));
  color: $white;
}

.btn-success{
  background: linear-gradient(to top, rgba($success,1), rgba($success,.5));
  color: $white !important;
}
.btn-success:hover,
.btn-success:focus{
  background: linear-gradient(to bottom, rgba($success,1), rgba($success,.5));
  color: $white;
}

.btn-danger{
  background: linear-gradient(to top, rgba($danger,1), rgba($danger,.5));
  color: $white;
}
.btn-danger:hover,
.btn-danger:focus{
  background: linear-gradient(to bottom, rgba($danger,1), rgba($danger,.5));
  color: $white;
}

.btn-warning{
  background: linear-gradient(to top, rgba($warning,1), rgba($warning,.5));
  color: $white;
}
.btn-warning:hover,
.btn-warning:focus{
  background: linear-gradient(to bottom, rgba($warning,1), rgba($warning,.5));
  color: $white;
}

.btn-info{
  background: linear-gradient(to top, rgba($info,1), rgba($info,.5));
  color: $white;
}
.btn-info:hover,
.btn-info:focus{
  background: linear-gradient(to bottom, rgba($info,1), rgba($info,.5));
  color: $white;
}

.btn-dark{
  background: linear-gradient(to top, rgba($dark,1), rgba($dark,.5));
  color: $white;
}
.btn-dark:hover,
.btn-dark:focus{
  background: linear-gradient(to bottom, rgba($dark,1), rgba($dark,.5));
  color: $white;
}